Bug Hunting Session
Bug 122038 - Crash modifying several options each requiring restart
Summary: Crash modifying several options each requiring restart
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-12 09:51 UTC by Mike Kaganski
Modified: 2018-12-21 14:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-12-12 09:51:44 UTC
0. LibreOffice Start Center open
1. Options->Language Settings->Languages->User Interface: change to another
2. Not closing/applying, go to LibreOffice->Advanced, and check "Enable experimental features (may be unstable)"
3. OK
4. Click "Restart Now" on the "Restart LibreOffice" dialog

=> LibreOffice tries to show another "Restart LibreOffice" dialog (a flashing window may be noticed), and immediately crashes. In development build, the second window is visible, and "Debug Error! Program: ...\soffice.bin abort() has been called [Abort] [Retry] [Ignore]" dialog overlaps it.

Tested with Version: 6.1.4.1 (x64)
Build ID: 25073d18caee244880112e52c4a7e71f6081b3a9
CPU threads: 12; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: group threaded

and with Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0dd025a2180e7fb1bf27a71687769a61d608abf2
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 1 Mike Kaganski 2018-12-12 10:18:20 UTC
https://gerrit.libreoffice.org/65007
Comment 2 Xisco Faulí 2018-12-12 11:26:49 UTC Comment hidden (obsolete)
Comment 3 Mike Kaganski 2018-12-12 11:31:53 UTC
(In reply to Xisco Faulí from comment #2)
> it seems the crash is no reproducible with a release build
> 
> Versión: 6.1.3.2
> Id. de compilación: 86daf60bf00efa86ad547e59e09d6bb77c699acb
> Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
> Configuración regional: es-ES (es_ES); Calc: group threaded

It is reproducible in release builds - I have tested with 6.1.4.1, which is built in release mode. Also note that in case of crash, the crashed dialog may be shown too fast, *but* the restart will not happen (as if you closed, instead of ask for restart).
Comment 4 Xisco Faulí 2018-12-12 11:45:41 UTC
Ok, you're right, I can reproduce it in

Version: 6.1.3.2
Build ID: 1:6.1.3~rc2-0ubuntu0.16.04.1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

but somehow I can't in

Versión: 6.1.3.2
Id. de compilación: 86daf60bf00efa86ad547e59e09d6bb77c699acb
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threade
Comment 5 Commit Notification 2018-12-12 14:39:31 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/12edea426a31f57a9d5b1c65b34fb1336c5534e9%5E%21

tdf#122038: don't create another RestartDialog if already restarting

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-12-13 11:02:00 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: e98bcfcc3cdad46620e3d59119b0ac262db88054
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Now, only one Restart LibreOffice dialog is prompted.

@Mike Kagasnki, thanks for fixing this.

Should it be backported to 6-2 and 6-1 ?
Comment 7 Commit Notification 2018-12-14 16:25:23 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/b60e88a90d0e3813b05cf7990190126438232040%5E%21

tdf#122038: don't create another RestartDialog if already restarting

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-21 14:05:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/8d2c4a9611097b37f6d69654807693314c6fada0%5E%21

tdf#122038: don't create another RestartDialog if already restarting

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.